<?xml version='1.0' encoding='utf-8'?>
| <!DOCTYPE rfc SYSTEM "rfc2629-xhtml.ent" [
// external reference to RFCs
<!ENTITY rfc7991 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.7991.xml">
<!ENTITY rfc2119 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.2119.xml">
// local reference to another doc
<!ENTITY SAMPLE_REF SYSTEM "reference.sample.xml">
| ]>

// processing instructions
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc compact="yes"?>
<?rfc subcompact="no"?>
<?rfc strict="no"?>
<?rfc rfcedstyle="yes"?>
<?rfc comments="yes"?>
<?rfc inline="yes"?>

rfc(category="exp" consensus='true' ipr='trust200902' docName='draft-template' submissionType='en-smm-apc' obsoletes='' updates='' xml:lang='en' version='3' xmlns:xi='http://www.w3.org/2001/XInclude')
  front
    title(abbrev='RFC template') EN-SMM-APC Expired draft test file
    author(fullname='Sylvain Fargier' initials='S.F.' role='editor' surname='Fargier')
      organization CERN
      address
        postal
          street 1, Esplanade des Particules
          city 1217 Meyrin
          country Switzerland
        email sylvain.fargier@cern.ch
    date(year='2018' month='march')
    abstract
      t This is a test file to validate xml2rfc tool modifications.
  middle
    section
      name Introduction
      t
        | This is a template document for the
        | #[xref(target='SAMPLE_REF' format='default') EN-SMM-APC]
        |  Standard writers.

      // This one is a 'must' :)
      section
        name Requirements Notation
        t
          | The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
          | "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
          | document are to be interpreted as described in BCP 14,
          | #[xref(target='RFC2119' format='default') RFC2119].

    section
      name Content
      t is some contents

  back
    references
      name References
      references
        name Normative References
        | &rfc2119;
        | &SAMPLE_REF;
      
      references
        name Informative References
        | &rfc7991;
      
      references
        name URL References
        reference(anchor='xml2rfc' target='http://xml.resource.org')
          front
            title XML2RFC tools and documentation
            author
              organization RFC Editor
            date(year='2013')
